Fetch the complete documentation index at: https://docs.tcgplayer.com/llms.txt. Use this file to discover all available pages before exploring further.

# Get Category Search Manifest

This endpoint returns a search manifest for the specified category.  The search
manifest describes all of the sorting options and filters that are available for
this category. Its contents should be used to build requests to the POST
/catalog/categories/{categoryId}/search endpoint.

The search manifest is useful for returning data about which fields can be used with the search endpoints. Different products have different filters available and this endpoint simplifies the process of writing advanced searches.

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"success\": true,\n  \"errors\": [\n    \"string\"\n  ],\n  \"results\": [\n    {\n      \"sorting\": [\n        {\n          \"text\": \"string\",\n          \"value\": \"string\"\n        }\n      ],\n      \"filters\": [\n        {\n          \"name\": \"string\",\n          \"displayName\": \"string\",\n          \"inputType\": \"string\",\n          \"items\": [\n            {\n              \"text\": \"string\",\n              \"value\": \"string\"\n            }\n          ]\n        }\n      ]\n    }\n  ]\n}",
      "language": "json",
      "name": "Response Template"
    },
    {
      "code": "/catalog/categories/24/search/manifest\n\nHeaders:\nAuthorization | {{bearerToken}}\n\nResponse:\n{\n    \"success\": true,\n    \"errors\": [],\n    \"results\": [\n        {\n            \"sorting\": [\n                {\n                    \"text\": \"A-Z\",\n                    \"value\": \"ProductName ASC\"\n                },\n                {\n                    \"text\": \"Price: High to Low\",\n                    \"value\": \"MinPrice DESC\"\n                },\n                {\n                    \"text\": \"Price: Low to High\",\n                    \"value\": \"MinPrice ASC\"\n                },\n                {\n                    \"text\": \"Relevance\",\n                    \"value\": \"Relevance\"\n                },\n                {\n                    \"text\": \"Best Selling\",\n                    \"value\": \"Sales DESC\"\n                }\n            ],\n            \"filters\": [\n                {\n                    \"name\": \"ProductName\",\n                    \"displayName\": \"Name\",\n                    \"inputType\": \"Text\",\n                    \"items\": []\n                },\n                {\n                    \"name\": \"Description\",\n                    \"displayName\": \"Description\",\n                    \"inputType\": \"Text\",\n                    \"items\": []\n                },\n                {\n                    \"name\": \"SetName\",\n                    \"displayName\": \"Set\",\n                    \"inputType\": \"SingleValue\",\n                    \"items\": [\n                        {\n                            \"text\": \"Any\",\n                            \"value\": \"\"\n                        },\n                        {\n                            \"text\": \"Deck Exclusive Cards\",\n                            \"value\": \"Deck Exclusive Cards\"\n                        },\n                        {\n                            \"text\": \"FF: Promo Cards\",\n                            \"value\": \"FF: Promo Cards\"\n                        },\n                        {\n                            \"text\": \"Opus I\",\n                            \"value\": \"Opus I\"\n                        },\n                        {\n                            \"text\": \"Opus II\",\n                            \"value\": \"Opus II\"\n                        },\n                        {\n                            \"text\": \"Opus III\",\n                            \"value\": \"Opus III\"\n                        },\n                        {\n                            \"text\": \"Opus IV\",\n                            \"value\": \"Opus IV\"\n                        },\n                        {\n                            \"text\": \"Opus V\",\n                            \"value\": \"Opus V\"\n                        },\n                        {\n                            \"text\": \"Opus VI\",\n                            \"value\": \"Opus VI\"\n                        },\n                        {\n                            \"text\": \"Opus VII\",\n                            \"value\": \"Opus VII\"\n                        },\n                        {\n                            \"text\": \"Opus VIII\",\n                            \"value\": \"Opus VIII\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"Rarity\",\n                    \"displayName\": \"Rarity\",\n                    \"inputType\": \"MultipleValues\",\n                    \"items\": [\n                        {\n                            \"text\": \"Rare\",\n                            \"value\": \"Rare\"\n                        },\n                        {\n                            \"text\": \"Common\",\n                            \"value\": \"Common\"\n                        },\n                        {\n                            \"text\": \"Legend\",\n                            \"value\": \"Legend\"\n                        },\n                        {\n                            \"text\": \"Hero\",\n                            \"value\": \"Hero\"\n                        },\n                        {\n                            \"text\": \"Starter\",\n                            \"value\": \"Starter\"\n                        },\n                        {\n                            \"text\": \"Promo\",\n                            \"value\": \"Promo\"\n                        },\n                        {\n                            \"text\": \"None\",\n                            \"value\": \"None\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"CardType\",\n                    \"displayName\": \"Card Type\",\n                    \"inputType\": \"SingleValue\",\n                    \"items\": [\n                        {\n                            \"text\": \"Any\",\n                            \"value\": \"\"\n                        },\n                        {\n                            \"text\": \"Backup\",\n                            \"value\": \"Backup\"\n                        },\n                        {\n                            \"text\": \"Forward\",\n                            \"value\": \"Forward\"\n                        },\n                        {\n                            \"text\": \"Monster\",\n                            \"value\": \"Monster\"\n                        },\n                        {\n                            \"text\": \"Summon\",\n                            \"value\": \"Summon\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"Element\",\n                    \"displayName\": \"Element\",\n                    \"inputType\": \"SingleValue\",\n                    \"items\": [\n                        {\n                            \"text\": \"Any\",\n                            \"value\": \"\"\n                        },\n                        {\n                            \"text\": \"Dark\",\n                            \"value\": \"Dark\"\n                        },\n                        {\n                            \"text\": \"Earth\",\n                            \"value\": \"Earth\"\n                        },\n                        {\n                            \"text\": \"Fire\",\n                            \"value\": \"Fire\"\n                        },\n                        {\n                            \"text\": \"Ice\",\n                            \"value\": \"Ice\"\n                        },\n                        {\n                            \"text\": \"Light\",\n                            \"value\": \"Light\"\n                        },\n                        {\n                            \"text\": \"Lightning\",\n                            \"value\": \"Lightning\"\n                        },\n                        {\n                            \"text\": \"Water\",\n                            \"value\": \"Water\"\n                        },\n                        {\n                            \"text\": \"Wind\",\n                            \"value\": \"Wind\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"Cost\",\n                    \"displayName\": \"Cost\",\n                    \"inputType\": \"SingleValue\",\n                    \"items\": [\n                        {\n                            \"text\": \"Any\",\n                            \"value\": \"\"\n                        },\n                        {\n                            \"text\": \"1\",\n                            \"value\": \"1\"\n                        },\n                        {\n                            \"text\": \"2\",\n                            \"value\": \"2\"\n                        },\n                        {\n                            \"text\": \"3\",\n                            \"value\": \"3\"\n                        },\n                        {\n                            \"text\": \"4\",\n                            \"value\": \"4\"\n                        },\n                        {\n                            \"text\": \"5\",\n                            \"value\": \"5\"\n                        },\n                        {\n                            \"text\": \"6\",\n                            \"value\": \"6\"\n                        },\n                        {\n                            \"text\": \"7\",\n                            \"value\": \"7\"\n                        },\n                        {\n                            \"text\": \"8\",\n                            \"value\": \"8\"\n                        },\n                        {\n                            \"text\": \"9\",\n                            \"value\": \"9\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"Job\",\n                    \"displayName\": \"Job\",\n                    \"inputType\": \"Text\",\n                    \"items\": []\n                },\n                {\n                    \"name\": \"Category\",\n                    \"displayName\": \"Category\",\n                    \"inputType\": \"SingleValue\",\n                    \"items\": [\n                        {\n                            \"text\": \"Any\",\n                            \"value\": \"\"\n                        },\n                        {\n                            \"text\": \"I\",\n                            \"value\": \"I\"\n                        },\n                        {\n                            \"text\": \"II\",\n                            \"value\": \"II\"\n                        },\n                        {\n                            \"text\": \"III\",\n                            \"value\": \"III\"\n                        },\n                        {\n                            \"text\": \"IV\",\n                            \"value\": \"IV\"\n                        },\n                        {\n                            \"text\": \"V\",\n                            \"value\": \"V\"\n                        },\n                        {\n                            \"text\": \"VI\",\n                            \"value\": \"VI\"\n                        },\n                        {\n                            \"text\": \"VII\",\n                            \"value\": \"VII\"\n                        },\n                        {\n                            \"text\": \"VIII\",\n                            \"value\": \"VIII\"\n                        },\n                        {\n                            \"text\": \"IX\",\n                            \"value\": \"IX\"\n                        },\n                        {\n                            \"text\": \"X\",\n                            \"value\": \"X\"\n                        },\n                        {\n                            \"text\": \"XI\",\n                            \"value\": \"XI\"\n                        },\n                        {\n                            \"text\": \"XII\",\n                            \"value\": \"XII\"\n                        },\n                        {\n                            \"text\": \"XIII\",\n                            \"value\": \"XIII\"\n                        },\n                        {\n                            \"text\": \"XIV\",\n                            \"value\": \"XIV\"\n                        },\n                        {\n                            \"text\": \"XV\",\n                            \"value\": \"XV\"\n                        },\n                        {\n                            \"text\": \"DFF\",\n                            \"value\": \"DFF\"\n                        },\n                        {\n                            \"text\": \"Dissidia\",\n                            \"value\": \"Dissidia\"\n                        },\n                        {\n                            \"text\": \"FFBE\",\n                            \"value\": \"FFBE\"\n                        },\n                        {\n                            \"text\": \"FFCC\",\n                            \"value\": \"FFCC\"\n                        },\n                        {\n                            \"text\": \"FFL\",\n                            \"value\": \"FFL\"\n                        },\n                        {\n                            \"text\": \"FFT\",\n                            \"value\": \"FFT\"\n                        },\n                        {\n                            \"text\": \"FFTA\",\n                            \"value\": \"FFTA\"\n                        },\n                        {\n                            \"text\": \"FFTA2\",\n                            \"value\": \"FFTA2\"\n                        },\n                        {\n                            \"text\": \"Theatrhythm\",\n                            \"value\": \"Theatrhythm\"\n                        },\n                        {\n                            \"text\": \"Type-0\",\n                            \"value\": \"Type-0\"\n                        },\n                        {\n                            \"text\": \"World of Final Fantasy\",\n                            \"value\": \"World of Final Fantasy\"\n                        },\n                        {\n                            \"text\": \"Lord of Vermilion\",\n                            \"value\": \"Lord of Vermilion\"\n                        },\n                        {\n                            \"text\": \"Mobius\",\n                            \"value\": \"Mobius\"\n                        },\n                        {\n                            \"text\": \"Pictlogica\",\n                            \"value\": \"Pictlogica\"\n                        },\n                        {\n                            \"text\": \"Special\",\n                            \"value\": \"Special\"\n                        }\n                    ]\n                },\n                {\n                    \"name\": \"Price\",\n                    \"displayName\": \"Price\",\n                    \"inputType\": \"Price\",\n                    \"items\": []\n                }\n            ]\n        }\n    ]\n}",
      "language": "json",
      "name": "Example Response #1"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "v1.39.0",
    "title": "TcgApi"
  },
  "paths": {
    "/catalog/categories/{categoryId}/search/manifest": {
      "get": {
        "tags": [
          "Catalog"
        ],
        "summary": "Get Category Search Manifest",
        "description": "This endpoint returns a search manifest for the specified category.  The search\r\nmanifest describes all of the sorting options and filters that are available for\r\nthis category. Its contents should be used to build requests to the POST\r\n/catalog/categories/{categoryId}/search endpoint.",
        "operationId": "Catalog_GetCategorySearchManifest",
        "parameters": [
          {
            "name": "categoryId",
            "in": "path",
            "description": "The Id of the category whose search manifest should be returned.",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Category found.  Search manifest returned.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TcgApiModel.Common.ApiResult_TcgApiModel.Catalog.CategorySearchManifest_"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/TcgApiModel.Common.ApiResult_TcgApiModel.Catalog.CategorySearchManifest_"
                }
              }
            }
          },
          "400": {
            "description": "CategoryId is less than or equal to 0."
          },
          "404": {
            "description": "The specified category could not be found."
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.tcgplayer.com"
    }
  ],
  "components": {
    "schemas": {
      "TcgApiModel.Catalog.CategorySearchManifest": {
        "type": "object",
        "properties": {
          "sorting": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TcgApiModel.Catalog.CategorySearchManifest.TextValue"
            }
          },
          "filters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TcgApiModel.Catalog.CategorySearchManifest.Filter"
            }
          }
        }
      },
      "TcgApiModel.Catalog.CategorySearchManifest.TextValue": {
        "type": "object",
        "properties": {
          "text": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        }
      },
      "TcgApiModel.Catalog.CategorySearchManifest.Filter": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "inputType": {
            "type": "string"
          },
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TcgApiModel.Catalog.CategorySearchManifest.TextValue"
            }
          }
        }
      },
      "TcgApiModel.Common.ApiResult_TcgApiModel.Catalog.CategorySearchManifest_": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TcgApiModel.Catalog.CategorySearchManifest"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 94,
      "1": 217,
      "2": 152,
      "3": 86,
      "4": 78,
      "5": 118,
      "6": 200,
      "7": 0,
      "8": 17,
      "9": 105,
      "10": 157,
      "11": 192
    }
  }
}
```